Client request does not match server version

Going to my /ghost admin panel on ghost.io, I get:

Client request for 2.34 does not match server version 2.31.1.

Not sure what happened? How can I fix this so I can access the admin page? I haven’t messed with any settings.

Hi there! If you’re having any issue with a Ghost(Pro) site, please drop us an email on support@ghost.org and we’ll be more than happy to give you a hand directly :slightly_smiling_face: